org.apache.sling.maven.slingstart

## Class JSONFeatures

- java.lang.Object
- - org.apache.sling.maven.slingstart.JSONFeatures

    public class JSONFeatures
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JSONFeatures()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `read(Reader reader, org.apache.sling.feature.ArtifactId optionalId, String location)` Read the feature and add the `id` attribute if missing

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONFeatures

    public JSONFeatures()

### Method Detail

#### read

    public static String read(Reader reader,
                              org.apache.sling.feature.ArtifactId optionalId,
                              String location)
                       throws IOException

Read the feature and add the `id` attribute if missing

Parameters:
  `reader` - The reader
  `optionalId` - The artifact id to use if the `id` attribute is missing
  `location` - The location
Returns:
  The feature as a string
Throws:
  `IOException` - If reading fails